#
# spec file for package python-uamqp
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-uamqp
Version:        1.2.12
Release:        lp152.2.3.1
Summary:        AMQP 10 Client Library for Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/Azure/azure-uamqp-python
Source:         https://files.pythonhosted.org/packages/source/u/uamqp/uamqp-%{version}.tar.gz
Patch1:         u_strip-werror.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module certifi >= 2017.4.17}
BuildRequires:  %{python_module six >= 1.0}
# /SECTION
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libopenssl-devel
Requires:       python-certifi >= 2017.4.17
Requires:       python-six >= 1.0
Suggests:       python-enum34 >= 1.0.4

%python_subpackages

%description
AMQP 1.0 Client Library for Python

%prep
%setup -q -n uamqp-%{version}
%patch1 -p1

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}
#%%check
#%%python_exec setup.py test

%files %{python_files}
%doc HISTORY.rst README.rst
%{python_sitearch}/*

%changelog
* Tue Dec 15 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update in SLE-15 (bsc#1176785, jsc#ECO-3105, jsc#PM-2352)
* Thu Nov 12 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.2.12
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Oct  6 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.2.11
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Fri Aug 28 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.2.10
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Install HISTORY.rst in %%doc section
* Wed May  6 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.2.7
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Mon Mar 23 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Include in SLE-15 (bsc#1140565, jsc#ECO-1257, jsc#PM-1598)
* Wed Mar 11 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.2.6
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Mon Jan 27 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.2.5
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Fri Oct  4 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.2.2
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Drop patches to support older versions of setuptools as
  SLE-12 is now shipping with a recent enough version
  + u_drop-compatible-releases-operator.patch
  + u_drop-extras-require.patch
- Refresh patches for new version
  + u_strip-werror.patch
* Mon Apr 15 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Initial build
  + Version 1.1.0
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + u_drop-compatible-releases-operator.patch
- Add patch to drop extras_require field from setup.py,
  required for SLES12 as the setuptools version is too old
  + u_drop-extras-require.patch
- Add patch to strip "-Werror" from CFLAGS/CXXFLAGS
  + u_strip-werror.patch
